# fileDescriptor Struct Reference

`#include <file.h>`

## Data Fields

void * | inode
fileDescriptor * | next
off_t | offset
fileDescriptor * | prev
size_t | size

## Detailed Description

Definition at line 6 of file file.h.

## Field Documentation

void* fileDescriptor::inode

Definition at line 9 of file file.h.

Referenced by UbixFS::vfs_init(), UbixFS::vfs_mkdir(), UbixFS::vfs_open(), UbixFS::vfs_read(), UbixFS::vfs_stop(), and UbixFS::vfs_write().

struct fileDescriptor* fileDescriptor::next

Definition at line 8 of file file.h.

Referenced by fclose(), and fopen().

off_t fileDescriptor::offset

Definition at line 10 of file file.h.

Referenced by addDirEntry(), fgetc(), fopen(), fputc(), fread(), fseek(), fsfind(), fsread(), fwrite(), ufs_openFile(), and UbixFS::vfs_open().

struct fileDescriptor* fileDescriptor::prev

Definition at line 7 of file file.h.

Referenced by fclose(), and fopen().

size_t fileDescriptor::size

Definition at line 11 of file file.h.

Referenced by addDirEntry(), devfs_open(), fsread(), openFileUbixFS(), readUbixFS(), UbixFS::vfs_open(), and writeUbixFS().

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/file.h